Skip to content

Ends a Site assignment from a local date.

POST
/api/workspace/work-schedule/assignments/sites/{siteId}/end
curl --request POST \
--url https://example.com/api/workspace/work-schedule/assignments/sites/example/end \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "EffectiveFromLocalDate": "2026-04-15", "ExpectedChainVersion": "example", "Reason": "example", "OperationId": "example" }'
siteId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Ends a Site-to-Calendar assignment.

object
EffectiveFromLocalDate
string format: date
ExpectedChainVersion
string
nullable
Reason
string
nullable
OperationId
string
nullable
Examplegenerated
{
"EffectiveFromLocalDate": "2026-04-15",
"ExpectedChainVersion": "example",
"Reason": "example",
"OperationId": "example"
}

OK

Media typeapplication/json
object
Data

Assignment mutation result with a refreshed chain.

object
Chain

Effective state and paged immutable history for one assignment chain.

object
SubjectKind
string
nullable
Subject

Field-safe reference to an operational catalog item.

object
Id
string
nullable
DisplayName
string
nullable
Number
string
nullable
EffectiveOnLocalDate
string format: date
EffectiveAssignment

One append-only assignment history row.

object
AssignmentId
string
nullable
OperationKind
string
nullable
SubjectKind
string
nullable
SubjectId
string
nullable
Site

Field-safe reference to an operational catalog item.

object
Id
string
nullable
DisplayName
string
nullable
Number
string
nullable
Calendar

Field-safe reference to a working calendar.

object
Id
string
nullable
Name
string
nullable
Enabled
boolean
HasPublishedRevision
boolean
InheritsSiteCalendar
boolean
EffectiveFromLocalDate
string format: date
RecordedAtUtc
string format: date-time
RecordedByUserId
string
nullable
CorrectsAssignmentId
string
nullable
ChangeReason
string
nullable
IsCorrection
boolean
IsEnd
boolean
History
Array<object>
nullable

One append-only assignment history row.

object
AssignmentId
string
nullable
OperationKind
string
nullable
SubjectKind
string
nullable
SubjectId
string
nullable
Site

Field-safe reference to an operational catalog item.

object
Id
string
nullable
DisplayName
string
nullable
Number
string
nullable
Calendar

Field-safe reference to a working calendar.

object
Id
string
nullable
Name
string
nullable
Enabled
boolean
HasPublishedRevision
boolean
InheritsSiteCalendar
boolean
EffectiveFromLocalDate
string format: date
RecordedAtUtc
string format: date-time
RecordedByUserId
string
nullable
CorrectsAssignmentId
string
nullable
ChangeReason
string
nullable
IsCorrection
boolean
IsEnd
boolean
TotalCount
integer format: int32
Page
integer format: int32
PageSize
integer format: int32
ChainVersion
string
nullable
Diagnostics
Array<object>
nullable

Structured assignment diagnostic.

object
Code
string
nullable
Field
string
nullable
Actions

Server-computed actions for one assignment chain.

object
CanCreate
boolean
CanChange
boolean
CanCorrect
boolean
CanEnd
boolean
AssignmentId
string
nullable
ChainVersion
string
nullable
Replayed
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}